Member

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /members

Add a new member to the project

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

POST PARAMETERS
idrequiredinteger
The ID of the user
permission_setrequiredPermissionSetIdRequest
User permission set configuration

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
permission_setPermissionSetView
User permission set configuration

Last modified on Jan 26, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/members" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "id": 216, "permission_set": { "id": 1 } }'